Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.model.simple
Class SimpleRequestProcessor

    java.lang.Object
      org.modeshape.graph.request.processor.RequestProcessor
          org.modeshape.graph.connector.map.MapRequestProcessor
              org.modeshape.connector.store.jpa.model.simple.SimpleRequestProcessor

    public class SimpleRequestProcessor

extends MapRequestProcessor

Extension of the `MapRequestProcessor` that provides a `process(ReadBranchRequest)` implementation optimized for the `simple JPA model`. This class also provides some JPA-specific functionality for the ability to control whether `creating workspaces is allowed`.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.request.processor.RequestProcessor
`RequestProcessor.LocationWithDepth`

Constructor Summary
`SimpleRequestProcessor(ExecutionContext context, SimpleJpaRepository repository, Observer observer, boolean updatesAllowed)`

Method Summary
`void` | `close()` Close this processor, allowing it to clean up any open resources.
`void` | `process(CloneWorkspaceRequest request)` Process a request to clone an existing workspace as a new workspace.
`void` | `process(CollectGarbageRequest request)` Process a request to collect garbage.
`void` | `process(CreateWorkspaceRequest request)` Process a request to create a new workspace.
`void` | `process(ReadBranchRequest request)` Override the `default handling` for a read branch request to optimize the queries involved.

Methods inherited from class org.modeshape.graph.connector.map.MapRequestProcessor
`getActualLocation, getTargetNode, getWorkspace, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, updatesAllowed`

Methods inherited from class org.modeshape.graph.request.processor.RequestProcessor
`absoluteMaximumDepthForBranchReads, completeRequest, getChanges, getDefaultCachePolicy, getExecutionContext, getNowInUtc, getSourceName, includeChildrenInSubgraph, notifyObserverOfChanges, process, process, process, process, process, process, process, process, process, process, process, process, process, processUnknownRequest, recordChange, setCacheableInfo, setCacheableInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRequestProcessor

    public SimpleRequestProcessor(ExecutionContext context,
                                  SimpleJpaRepository repository,
                                  Observer observer,
                                  boolean updatesAllowed)

Method Detail

### close

    public void close()

  Description copied from class: `RequestProcessor`
  Close this processor, allowing it to clean up any open resources.

  Overrides:
    `close` in class `RequestProcessor`

### process

    public void process(ReadBranchRequest request)

  Override the `default handling` for a read branch request to optimize the queries involved.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request to read

### process

    public void process(CreateWorkspaceRequest request)

  Description copied from class: `MapRequestProcessor`
  Process a request to create a new workspace.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `MapRequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CreateWorkspaceRequest)`

### process

    public void process(CloneWorkspaceRequest request)

  Description copied from class: `MapRequestProcessor`
  Process a request to clone an existing workspace as a new workspace.

  This method does nothing if the request is null.

  Overrides:
    `process` in class `MapRequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CloneWorkspaceRequest)`

### process

    public void process(CollectGarbageRequest request)

  Process a request to collect garbage.

  The default implementation of this method does nothing.

  Overrides:
    `process` in class `RequestProcessor`
  Parameters:
    `request` - the request
  See Also:
    `RequestProcessor.process(org.modeshape.graph.request.CollectGarbageRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.